# OpenLayers.Feature.WFS

WFS handling class, for use as a featureClass on the WFS layer for handling ‘point’ WFS types. Good for subclassing when creating a custom WFS like XML application.

#### Inherits from

- OpenLayers.Feature

Summary

OpenLayers.Feature.WFS | WFS handling class, for use as a featureClass on the WFS layer for handling ‘point’ WFS types.
Constructor |
OpenLayers.Feature.WFS | Create a WFS feature.
Functions |
destroy | nullify references to prevent circular references and memory leaks
processXMLNode | When passed an xmlNode, parses it for a GML point, and passes back an object describing that point.

### Constructor

### OpenLayers.Feature.WFS

Create a WFS feature.

#### Parameters

layer | {OpenLayers.Layer}
xmlNode | {XMLNode}

### Functions

### destroy

> destroy: function()

nullify references to prevent circular references and memory leaks

### processXMLNode

> processXMLNode: function( | xmlNode | )

When passed an xmlNode, parses it for a GML point, and passes back an object describing that point.

For subclasses of Feature.WFS, this is the feature to change.

#### Parameters

xmlNode | {XMLNode}

#### Returns

{Object} Data Object with ‘id’, ‘lonlat’, and private properties set

> destroy: function()

nullify references to prevent circular references and memory leaks

> processXMLNode: function( | xmlNode | )

When passed an xmlNode, parses it for a GML point, and passes back an object describing that point.
Features are combinations of geography and attributes.
Close